Subject: Re: [bug#53020] [PATCH] gnu: racket: Backport fix for .desktop files.

From: Malte Gerdes <[email-masked]>
Date: Wed, 5 Jan 2022 12:26:28 +0100

It builds with

```
guix build --with-git-url=racket=https://github.com/racket/racket
--with-branch=racket-minimal=master --with-git-url=racket-minimal=
https://github.com/racket/racket --with-branch=racket=master package
```
Where package is racket and racket-minimal respectively.

Neither `/gnu/store/11y27mj1z7mhljw2w3ni7lp2w0a1zhfr-racket-git.master` nor
/gnu/store/gfbyzj9b13kzi438cjfv43hij4zhh2sh-racket-minimal-git.master have
.desktop files in their directory hierarchy. (I might be doing it wrong
though)

mfg

On Wed, 5 Jan 2022, 10:01 zimoun, <[email-masked]> wrote:

> Hi Philip,
>
> On Wed, 05 Jan 2022 at 01:06, Philip McGrath <[email-masked]>
> wrote:
>
> > This commit backports a repair by Matthew Flatt for Racket's
> > creation and installation of '.desktop' files in tethered Racket
> > installations. Guix's 'racket' package is structured as a tethered
> > installation, so the Guix package now installs 'drracket.desktop'
> > and 'slideshow.desktop' properly, for example. For further upstream
> > discussion, see: <https://github.com/racket/racket/issues/4079>.
>
> In this mentioned issue, it reads:
>
>         I will send a patch to Guix in the hope of getting more people
>         to try 11ccee3 and ece8b17 before the 8.4 release.
>
> <https://github.com/racket/racket/issues/4079#issuecomment-1005397718>
>
>
> > * gnu/packages/patches/racket-minimal-backport-4079-fix.patch: New
> > patch.
> > * gnu/local.mk (dist_patch_DATA): Add it.
> > * gnu/packages/racket.scm (racket-minimal)[source]: Use it.
> > (extend-layer): Set config-tethered-apps-dir.
>
> So my naive question is: is it worth to include now and not just wait
> for the next Racket 8.4 release? (One or two months if Racket keep the 4
> releases per year schedule)
>
> Other said, for testing new Racket features in the Guix ecosystem, it
> appears to me easier to use transformation:
>
>     guix build racket-minimal --with-commit=ece8b17
>
> (or something along this line :-))
>
> BTW, thanks for bridging the gap between Guix and Racket and it can be
> cool if Guix can help Racket. :-)
>
>
> Cheers,
> simon
>
>
>
>